package com.common.lib_base.common.http.bean;



public class BaseBean<T>  extends BaseEntity {

//    public static final String SUCCESS= Constants.HttpStateCode.SUCCESS;


    private boolean success;

    private int code;
    String errcode;

    private String message;
    private String msg;
    String errmsg;

    private T data;

    private T result;




    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public boolean success(){

        return  success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public T getResult() {
        return result;
    }

    public void setResult(T result) {
        this.result = result;
    }

    public String getErrcode() {
        return errcode;
    }

    public void setErrcode(String errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    @Override
    public String toString() {
        return "BaseBean{" +
                "success=" + success +
                ", code=" + code +
                ", errcode='" + errcode + '\'' +
                ", message='" + message + '\'' +
                ", data=" + data +
                ", result=" + result +
                ", msg='" + msg + '\'' +
                ", errmsg='" + errmsg + '\'' +
                '}';
    }
}
